Author Topic: VM2 and j1.6  (Read 67099 times)

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9919
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: VM2 and j1.6
« Reply #45 on: June 20, 2011, 15:38:35 pm »
You tried the wrong version, I am quite sure.

Try the nooku server
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

sscheidegger

  • Jr. Member
  • **
  • Posts: 88
Re: VM2 and j1.6
« Reply #46 on: June 27, 2011, 14:48:38 pm »
Hey

Looking forward to VM2 (with J1.6 or J1.7, I don't mind). For the moment I'm just waiting for a version to start testing and designing. Any updated estimates on when VM2 RC2 will be released?

Thanks a lot!

Greets,
Stefan

Martyn Batten

  • Jr. Member
  • **
  • Posts: 150
Re: VM2 and j1.6
« Reply #47 on: June 28, 2011, 13:40:17 pm »
I am amazed, if the Joomla team stopped upgrading there would be uproar. It took so long to bring 1.6 in everybody was complaining that it was late and now everybody is complaining that it's being improved.

As for VM, this is a brilliant product, I have worked with many profit making solutions which do not touch VM. If VM team choose to stop supporting 1.6 and support only 1.7 then thats a good decision.

appJahn

  • Beginner
  • *
  • Posts: 2
Re: VM2 and j1.6
« Reply #48 on: July 08, 2011, 11:14:32 am »
We have to build 2 new sites, both based on j1.6. Our plan due to the expected release plan is:
* set up these pages with vm2 rc2 and j1.6 within the next days for demo purposes and to enable the customers to enter their product data
* upgrade to v2 and j1.7 as soon as available
* going live in 1-2 months (not really time-critical)

So my questions are:
* will it be possible to migrate the product data from vm2 rc2 to vm2 stable?
* whats the actual time schedule for rc2? you expected to release it these days. Is this still true?

Please let me know, if we can proceed like this. I would really appreciate to use vm in these projects.

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9919
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: VM2 and j1.6
« Reply #49 on: July 12, 2011, 21:11:39 pm »
We have to build 2 new sites, both based on j1.6. Our plan due to the expected release plan is:
* set up these pages with vm2 rc2 and j1.6 within the next days for demo purposes and to enable the customers to enter their product data
* upgrade to v2 and j1.7 as soon as available
* going live in 1-2 months (not really time-critical)
You are exactly the people why we call it RC and not final, because we neeed people like you to find the final problems. You can expect our support, you may contact me via pm.

So my questions are:
* will it be possible to migrate the product data from vm2 rc2 to vm2 stable?
to 100% ! An updater is already implemented.

* whats the actual time schedule for rc2? you expected to release it these days. Is this still true?

the core is ready since friday, we are just fighting with the all in one installer for the modules and the plugins.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

Jeff

  • Jr. Member
  • **
  • Posts: 90
    • Web Stokers
Re: VM2 and j1.6
« Reply #50 on: July 13, 2011, 17:37:28 pm »
OK, I have installed VM2 RC1 into Joomla 1.6.1 and I come up with the results in the attached screen shot. Does anyone have an idea what might be the issue on this one?

Thanks and KUDOS to the VM team.




[attachment cleanup by admin]
Jeff MacDougall

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3505
  • using Matomo instead of Google Analytics
Re: VM2 and j1.6
« Reply #51 on: July 13, 2011, 19:28:16 pm »
The Virtuemart language file isn't loaded. Solutions have been placed in this forum section a number of times. However, I suppose you are mixing up your VirtueMart version number. The incompatible language file was a problem with one of the Betas and RC1. VM2RC2 will not have this problem but isn't released yet (probably will be very soon). Your Joomla version is also an outdated version. Use 1.6.5 instead of 1.6.1.  ;)
If you want to play with the old VM2 versions see here: http://forum.virtuemart.net/index.php?topic=85976.msg282697#msg282697
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Jeff

  • Jr. Member
  • **
  • Posts: 90
    • Web Stokers
Re: VM2 and j1.6
« Reply #52 on: July 13, 2011, 19:43:16 pm »
Thank you jjk. I did search a bit but figured I would try a shortcut and I appreciate your guidance.

Best

Jeff
Jeff MacDougall

ed_ro

  • Beginner
  • *
  • Posts: 5
Re: VM2 and j1.6
« Reply #53 on: July 16, 2011, 17:59:29 pm »
the problem with the language files was quite easy to fix but i have no paymet method installed . how can i install them ? i only need paypal module . the version used on the current version of vm (j1.5) is it compatible?

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27502
  • Always on vacation
    • Jenkin Hill Internet
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.6.1.10121 on Joomla 3.9.11 PHP 7.0.33
Testing 3.6.1.10129 on Joomla 3.9.11

shopwelsh

  • Beginner
  • *
  • Posts: 3
Re: VM2 and j1.6
« Reply #55 on: July 18, 2011, 11:45:21 am »
Is the a VM2 version that works so I can play about with it and experiment?

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9919
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: VM2 and j1.6
« Reply #56 on: July 20, 2011, 20:27:07 pm »
A small announcment:

Since yesterday j1.7 is released and therefore we only test virtuemart 2 for j1.5 and j1.7 latest.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

mandingueiro

  • Jr. Member
  • **
  • Posts: 179
Re: VM2 and j1.6
« Reply #57 on: July 21, 2011, 19:33:08 pm »
Hello all :)

It's great to see VirtueMart advancing to the next level (nooku) etc, you guys are doing a great job.

I'm in a dilemma though: Currently I have an J1.5 running w/ VM 1.1.7, listing about 3500 products. I wanna rebuild the whole site, using VM2 RC2. Thing is, I don't know if I should stick to J1.5 or go with 1.7, or maybe Nooku server? I'm willing to try and fix bugs that I may encounter and contribute to the VM community but I'm not a very experienced developer.

Thank in advance :)

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9919
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: VM2 and j1.6
« Reply #58 on: July 21, 2011, 20:14:07 pm »
Thing is, I don't know if I should stick to J1.5 or go with 1.7, or maybe Nooku server?
Lets try nooku server. Write me a pm, then I will support you via skype. I must say I dont know myself if I would take j1.5 or j1.7.

J1.5 is just a very experienced product now.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

lindapowers

  • Full Member
  • ***
  • Posts: 1335
  • If you're going through hell, keep going.
    • Venta de naranjas online y mandarinas
  • Skype Name: manu.gonzalez91
  • VirtueMart Version: Latest avi
Re: VM2 and j1.6
« Reply #59 on: July 26, 2011, 07:15:40 am »
Is well know that Joomla 1.6 is just a beta tester before 1.7 and building a shop there is up to you...
There are bugs in 1.6 so how is Virtuemart going to work fine on a CMS that is buggy as hell. Use Joomla 1.5 and VM 2.0.

Theres not one single advance or new feature worth changing from Joomla 1.5 to 1.6, yes I've tested it too and pls correct my ignorance, but I really dont see anything worth changing. ???

If you can build a stable shop in 1.5 why on earth would you change to 1.6?

Maybe some programmers and technicians could realise the advantage of 1.6 but the average user or shopper admin won't see it. I couldn't even think of a good excuse to tell my boss to update joomla 1.5 to 1.6.

When 1.7 or even 1.8 are out and stable... well thats another story.